diff --git a/src/backend/nodes/print.c b/src/backend/nodes/print.c
index 4b9e141404..5076e85cfe 100644
--- a/src/backend/nodes/print.c
+++ b/src/backend/nodes/print.c
@@ -415,6 +415,12 @@ print_expr(const Node *expr, const List *rtable)
 		}
 		printf(")");
 	}
+	else if (IsA(expr, RelabelType))
+	{
+		const RelabelType *r = (const RelabelType*) expr;
+
+		print_expr((Node *) r->arg, rtable);
+	}
 	else
 		printf("unknown expr");
 }
